/**
 *
 */
package info.silin.an10na.converter;

import java.util.Collection;

/**
 * Given a Collection, returns it's size prefixed by a custom String
 *
 * @param <E> - class of the elements of the Collection
 * @author kostja
 */
public class CollectionSizeConverter<E> implements
        IConverter<Collection<E>, String> {

    private final String prefix;

    public CollectionSizeConverter(final String prefix) {
        super();
        this.prefix = prefix;
    }

    @Override
    public String convert(final Collection<E> src) {
        return prefix + src.size();
    }

    public String getPrefix() {
        return prefix;
    }
}
