package info.silin.an10na.converter;

/**
 * Use in cases when a IConverter is prescribed but no actual conversion necessary.
 *
 * @author kostja
 */
public class NullConverter<T> implements IConverter<T, T>{

    /**
     * No conversion.
     * @param src the value to be piped through this converter.
     * @return the unchanged src value.
     */
    @Override
    public T convert(final T src) {
        return src;
    }
}
