/**
 *
 */
package info.silin.an10na.converter;

/**
 * Implements a simple conversion to String using a prefix and the toString method of the source
 * Object.
 *
 * @author kostja
 */
public class StringPrefixConverter<T> implements IConverter<T, String> {

    protected final String prefix;

    public StringPrefixConverter(final String prefix) {
        super();
        this.prefix = prefix;
    }

    @Override
    public String convert(final T src) {

        return prefix + src.toString();
    }

    public String getPrefix() {
        return prefix;
    }

    /*
    * (non-Javadoc)
    *
    * @see java.lang.Object#hashCode()
    */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = (prime * result) + ((prefix == null) ? 0 : prefix.hashCode());
        return result;
    }

    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(final Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        @SuppressWarnings("unchecked") final
        StringPrefixConverter<T> other = (StringPrefixConverter<T>) obj;
        if (prefix == null) {
            if (other.prefix != null)
                return false;
        } else if (!prefix.equals(other.prefix))
            return false;
        return true;
    }

}
