/**
 *
 */
package info.silin.an10na.observer;

/**
 * Implementors retrieve a value from an observed Object.
 *
 * @author kostja
 */
public interface IObserver<T> {

    /**
     * Retrieve the current value of the source Object and store it.
     */
    void update();

    /**
     * Return the stored value of the source.
     * @return locally stored value of the source Object
     */
    T get();

    /**
     * Equivalent to a call to update()  followed by a call to get().
     * @return the current value of the observed entity.
     */
    T getCurrent();

    /**
     * @return the source Object
     */
    Object getSource();

    /**
     * @return the name of the source.
     */
    String getSourceName();

    //getSourceclass is not a good idea, there is no right way to impl it for cases like the ConvertingObserver
    // Class<T> getSourceClass();

}
